Subject: Re: tcsh-6.08.00
From: [email-masked] (Corinna Vinschen)

30 Dec 1998 04:30:47 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked], [email-masked]

[email-masked] wrote:
> 
> Hi,
> 
> I am trying to compile the tcsh source sited in the
> "GNUWin32 package report" document.  I have downloaded
> the source from the ftp site named in the doc, but I
> am having problems compiling the source.
> 
> [...]
> 
> Various warnings/errors appear as soon as it starts
> compiling sh.c.
> 
> Can you provide more detailed instructions on how you
> were able to compile the source or send your Makefile
> and config* files?

Hi, Jason,

I don't understand your problem, the tcsh-6.08.00.x.README and
tcsh-6.08.00.x.tar.gz in my directory on ftp.franken.de contains
anything, what to do. Especially, You need not to start `xmkmf',
because the Makefile in the package is ok, with the single
exception, that you'll have to add a `-UWINNT' in CFLAGS.

I have attached the README.

Regards,
Corinna

BTW: The archive in my directory contains the binaries...

----------------- snip -------------------------

   *tcsh 6.08.00*
   --------------

   - what is it?
     - Extended C-Shell

   - system
     - Windows NT/95/98 with cygwin1.dll

   - Cygwin
     - for B20
     - binary and text mount
     - CYGWIN=[all one]

   - preliminaries
     - Use `tcsh.diff' from archive, to patch the files
       `configure', `sh.exec.c', `tc.os.h'
     - Use `german_umlauts.diff' if you want to use german umlauts
       in tcsh commandline.

   - configure
     - Use `config.h' from archive.

   - make
     - Add `-UWINNT' to CFLAGS.
     - Choose either
         LIBES= -ltermcap
       or
         LIBES= -lncurses,
       which ever fits your environment.

   - make install
     - nothing to do.

   - notes
     - You _must_ have set environment variable HOME _before_ starting
       tcsh.
     - Unlike the previous version, this version of tcsh allows the
       usage of common extensions .exe and .com on executable files.
     - The archive contains two binaries, one compiled with -lcurses,
       the other with -ltermcap.
     - The binaries are _not_ patched for usage of german umlauts!
     --------- The following note is withdrawn since B20.1 ---------
     - At the moment, tcsh is only useful as login shell, because of an
       error in cygwin1.dll, which will be fixed in the next release.

   - package availability
     - on ftp.gw.com
     - in /pub/unix/tcsh
     - as tcsh-6.08.tar.gz

   - contributed by
     - [email-masked] (Corinna Vinschen)
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".